import { defineConfig } from 'unocss';
import presetWind3 from '@unocss/preset-wind3';

export default defineConfig({
  // ...UnoCSS options
  presets: [presetWind3()],
  theme: {
    colors: {
      primary: '#082653',
      upcolor: '#00BB06',
      downcolor: '#F61800',
    },
  },
  shortcuts: {
    'park-rpanel-item': 'park-panel-item park-panel-item-r',
  },
  rules: [
    [
      'middle-content',
      {
        width: '6245px',
        position: 'absolute',
        left: '50%',
        transform: 'translateX(-50%)',
      },
    ],
    [
      'chart-title',
      {
        'font-family': 'PingFangSC-Medium, sans-serif',
        'font-size': '44px',
        color: '#fff',
      },
    ],
    [
      'num',
      {
        'font-family': 'URWGothic-Book',
      },
    ],
    [
      'park-item-title',
      {
        'font-family': 'PingFangSC-Medium, sans-serif',
        'font-size': '44px',
        'line-height': '62px',
      },
    ],
    [
      'park-panel-item',
      {
        width: '100%',
        background: `linear-gradient(
          270deg,
          rgba(9, 41, 76, 0.5) 0%,
          rgba(9, 41, 76, 0) 100%
        )`,
        'border-radius': '6px 6px 6px 6px',
        'box-sizing': 'border-box',
        padding: '20px',
      },
    ],
    [
      'park-panel-item-r',
      {
        background: `linear-gradient(
          270deg,
          rgba(9, 41, 76, 0) 0%,
          rgba(9, 41, 76, 0.5) 100%
        )`,
      },
    ],
  ],
});
